

$(document).ready(() => {
    //init();
    // $('[data-toggle="tooltip"]').tooltip();
    // AREA_BOOK.handleSelectionChanged(0);
    // 锁定、解锁
    lockUtil.displayLock($('.lock'), lockUtil.getLocked());
    $('.lock').click(function () {
        window.location.search = `?locked=${!lockUtil.getLocked()}`;
    });

    // 搜索
    $('#summary-search').bind('keydown', function (event) {
        if (event.keyCode === 13) {
            // 回车搜索
            const searchStr = $(this).val();
            SUMMARY_BOOK.handleSearch(searchStr);
        }
    });

    // 点击导出按钮
    $('#export').click(() => {
        window.location.href = '/priceInfoSummary/export';
    });
});